// Set a button to any pin
int Enter_Button_Pin = 16;
int Down_Button_Pin = 7;
int Right_Button_Pin = 21;
int Menu_Button_Pin = 8;
int Up_Button_Pin = 10;
int QuickMenu_Button_Pin = 15;
int Left_Button_Pin = 2;
int Esc_Button_Pin = 14;
int Flarm_Button_Pin = 9;
int debounce_delay = 300;


void setup()
{
  pinMode(Enter_Button_Pin, INPUT_PULLUP);  // Set the button as an input
  pinMode (Down_Button_Pin, INPUT_PULLUP);
  pinMode (Right_Button_Pin, INPUT_PULLUP);
  pinMode (Menu_Button_Pin, INPUT_PULLUP);
  pinMode (Up_Button_Pin, INPUT_PULLUP);
  pinMode (QuickMenu_Button_Pin, INPUT_PULLUP);
  pinMode (Left_Button_Pin, INPUT_PULLUP);
  pinMode (Esc_Button_Pin, INPUT_PULLUP);
  pinMode (Flarm_Button_Pin, INPUT_PULLUP);
}

void loop()
{
  if (digitalRead(Enter_Button_Pin) == LOW)
  {
    Keyboard.write(KEY_RETURN);  // send a 'Enter' to the computer via Keyboard HID
    delay(debounce_delay);  // delay so there aren't a kajillion z's
  }
  if (digitalRead(Down_Button_Pin) == LOW)
  {
    Keyboard.write(KEY_DOWN_ARROW);  // send a 'Arrow Down' to the computer via Keyboard HID
    delay(debounce_delay);  // delay so there aren't a kajillion z's
  }
  if (digitalRead(Right_Button_Pin) == LOW)
  {
    Keyboard.write(KEY_RIGHT_ARROW);  // send a 'Arrow Right' to the computer via Keyboard HID
    delay(debounce_delay);  // delay so there aren't a kajillion z's
  }
  if (digitalRead(Menu_Button_Pin) == LOW)
  {
    Keyboard.write(KEY_F12);  // send a 'F12' to the computer via Keyboard HID
    delay(debounce_delay);  // delay so there aren't a kajillion z's
  }
  if (digitalRead(Up_Button_Pin) == LOW)
  {
    Keyboard.write(KEY_UP_ARROW);  // send a 'Arrow Up' to the computer via Keyboard HID
    delay(debounce_delay);  // delay so there aren't a kajillion z's
  }
  if (digitalRead(QuickMenu_Button_Pin) == LOW)
  {
    Keyboard.write(KEY_F1);  // send a 'F1' to the computer via Keyboard HID
    delay(debounce_delay);  // delay so there aren't a kajillion z's
  }
  if (digitalRead(Left_Button_Pin) == LOW)
  {
    Keyboard.write(KEY_LEFT_ARROW);  // send a 'Arrow Left' to the computer via Keyboard HID
    delay(debounce_delay);  // delay so there aren't a kajillion z's
  }
  if (digitalRead(Esc_Button_Pin) == LOW)
  {
    Keyboard.write(KEY_ESC);  // send a 'ESC' to the computer via Keyboard HID
    delay(debounce_delay);  // delay so there aren't a kajillion z's
  }
  if (digitalRead(Flarm_Button_Pin) == LOW)
  {
    Keyboard.write(KEY_F4);  // send a 'F4' to the computer via Keyboard HID
    delay(debounce_delay);  // delay so there aren't a kajillion z's
  }
}

